Bug 131715 - Crash clicking on Data range in the Chart Wizard twice/three times
Summary: Crash clicking on Data range in the Chart Wizard twice/three times
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-03-30 16:21 UTC by Telesto
Modified: 2020-05-26 08:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["_SEH_prolog4"]


Attachments
BT without symbols (52.80 KB, text/plain)
2020-03-30 18:37 UTC, Telesto
Details
bt with debug symbols (55.99 KB, text/plain)
2020-04-06 20:40 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-03-30 16:21:42 UTC
Description:
Crash clicking on Data range in the Chart Wizard twice/three times

Steps to Reproduce:
1. Open attachment 159155 [details]
2. Select column A-B
3. Click Chart button in the toolbar
4. Click left click a few times on on 2. Data range -> Crash 

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Versie: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU-threads: 4; Besturingssysteem: Windows 6.3 Build 9600; UI-render: Skia/Vulkaan; VCL: win; 
Locale: nl-NL (nl_NL); UI-taal: nl-NL
Calc: CL
Comment 1 Xisco Faulí 2020-03-30 17:56:39 UTC
can you please try without skia, is it related to bug 131705 ?
Comment 2 Telesto 2020-03-30 18:37:47 UTC
Created attachment 159171 [details]
BT without symbols
Comment 3 Telesto 2020-03-30 18:38:38 UTC
Unrelated to Skia.
Comment 4 Telesto 2020-04-01 08:57:12 UTC
Sample file isn't needed at all
1. Open Calc
2. Insert a chart, chart wizard opens
3. Multiple left click on 2. datarange
Comment 5 Telesto 2020-04-06 18:55:53 UTC
@Julien
Are you able to reproduce comment 4
Comment 6 Julien Nabet 2020-04-06 20:40:26 UTC
Created attachment 159371 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this with gen rendering (not with gtk3 rendering).
Comment 7 Xisco Faulí 2020-04-07 09:16:54 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d661cb17610af93b1607025284f23187c6d2fc06

author	Caolán McNamara <caolanm@redhat.com>	2019-08-22 11:15:57 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-08-22 18:26:41 +0200
commit	d661cb17610af93b1607025284f23187c6d2fc06 (patch)
tree	855cf44dd6d3cb6232b0aaa2087da770350d202a
parent	38001018fa06f721cf87edae923b54ce9a5ab5a7 (diff)
weld chart CreationWizard

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 8 Telesto 2020-04-07 11:38:25 UTC
Mailmerge wizard (Writer -> Tools -> Mail Merge Wizard) has the same problem
Comment 9 Commit Notification 2020-04-07 12:15:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6a6c6b9242b699b993acb2eeead609cb4faa862d

Resolves: tdf#131715 don't keep trying the same page if we're already on it

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-04-08 09:26:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/7eb78233b46652f4317aef34a1bac4d084b00e2d

Resolves: tdf#131715 don't keep trying the same page if we're already on it

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2020-04-15 14:49:37 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 24e1563b5db3de5abac0d4fd0f737ec319e703e8
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue. Closing as VERIFIED FIXED
Comment 12 Xisco Faulí 2020-05-14 15:54:25 UTC
TODO for 6.4.4. Check if https://crashreport.libreoffice.org/stats/signature/vcl::WizardMachine::WizardMachine is still happening.
I do believe it might be related to this ticket
Comment 13 Commit Notification 2020-05-26 08:38:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/de623b59a981e3d6a43b410a9216ec0acadc9ed1

tdf#131715: uitest: add wrapper for roadmapwizard

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.